## golang-github-kardianos-service 0.0~git20181115.4c239ee

=== linux_test/Makefile ===

all: sysv systemd upstart clean

test:
	@go test -c ..

clean:
	-rm service.test

sysv: test
	@echo sysv
	@cp service.test sysv/
	@docker build -q --tag="service.test.sysv" sysv
	@-docker run service.test.sysv
	@-docker rm $(shell docker ps -l -q)
	@-docker rmi -f service.test.sysv
	@-rm sysv/service.test

systemd: test
	@echo systemd
	@cp service.test systemd/
	@docker build -q --tag="service.test.systemd" systemd
	@-docker run --privileged -v /sys/fs/cgroup:/sys/fs/cgroup:ro service.test.systemd
	@-docker rm $(shell docker ps -l -q)
	@-docker rmi -f service.test.systemd
	@-rm systemd/service.test

upstart: test
	@echo upstart
	@cp service.test upstart/
	@docker build -q --tag="service.test.upstart" upstart
	@-docker run service.test.upstart
	@-docker rm $(shell docker ps -l -q)
	@-docker rmi -f service.test.upstart
	@-rm upstart/service.test

=== debian/changelog ===
golang-github-kardianos-service (0.0~git20181115.4c239ee-2) unstable; urgency=medium

  [ Guillem Jover ]
  * Wrap dependency fields and add trailing comma
  * Improve package description
  * Use lowercase license name
  * Switch to Standards-Version 4.3.0 (no changes needed)
  * Set Rules-Requires-Root to no
  * Add a .gitignore file

 -- Eric Dorland <eric@debian.org>  Sun, 03 Feb 2019 22:36:09 -0500

golang-github-kardianos-service (0.0~git20181115.4c239ee-1) unstable; urgency=medium

  * Initial release (Closes: 840742)
  * Disable testsuite for the moment, it fails.
  * Don't install example programs

 -- Eric Dorland <eric@debian.org>  Sat, 17 Nov 2018 22:03:15 -0500

=== debian/control ===
Source: golang-github-kardianos-service
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Eric Dorland <eric@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 dh-golang,
 golang-any,
 golang-github-kardianos-osext-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/kardianos/service
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service.git
XS-Go-Import-Path: github.com/kardianos/service
Testsuite: autopkgtest-pkg-go

Package: golang-github-kardianos-service-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-github-kardianos-osext-dev,
Description: run Go programs as a service on major platforms
 Service will install / un-install, start / stop, and run a program as a
 service (daemon). Currently supports:
 .
  * Windows XP+,
  * Linux with systemd, Upstart, SysV, and
  * OSX with launchd.
 .
 Windows controls services by setting up callbacks that are non-trivial. This
 is very different than other systems. This package provides the same API
 despite the substantial differences. It also can be used to detect how a
 program is called, from an interactive terminal or from a service manager.

## golang-github-kardianos-service 1.0.0

=== debian/changelog ===
golang-github-kardianos-service (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add upstream-vcs-tag to gbp.conf
  * Switch to debhelper-compat 12
  * Standards-Version to 4.4.0.1

 -- Eric Dorland <eric@debian.org>  Sun, 28 Jul 2019 17:22:31 -0400

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Eric Dorland <eric@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-golang,
  golang-any,
  golang-github-kardianos-osext-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0.1
 Homepage: https://github.com/kardianos/service
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	# Disable for the moment

## golang-github-kardianos-service 1.1.0

=== debian/changelog ===
golang-github-kardianos-service (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Eric Dorland ]
  * New upstream release
  * Standards-Version to 4.5.0.2

 -- Eric Dorland <eric@debian.org>  Sat, 27 Jun 2020 18:21:31 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-golang,
  golang-any,
  golang-github-kardianos-osext-dev,
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.0.2
 Homepage: https://github.com/kardianos/service
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service.git

## golang-github-kardianos-service 1.2.0

=== debian/changelog ===
golang-github-kardianos-service (1.2.0-2) unstable; urgency=medium

  * Fix accidental reversion of changes in 1.1.0-2

 -- Eric Dorland <eric@debian.org>  Sun, 03 Jan 2021 22:04:37 -0500

golang-github-kardianos-service (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Add Multi-Arch: foreign

 -- Eric Dorland <eric@debian.org>  Sun, 03 Jan 2021 21:49:39 -0500

golang-github-kardianos-service (1.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Eric Dorland ]
  * Add Multi-Arch: foreign

  [ Shengjing Zhu ]
  * Drop unused golang-github-kardianos-osext-dev
  * Bump debhelper-compat to 13
  * Use DH_GOLANG_EXCLUDES to simplify packaging
  * Enable tests

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Oct 2020 16:44:31 +0800

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Uploaders: Eric Dorland <eric@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-golang,
  golang-any,
- golang-github-kardianos-osext-dev,
 Standards-Version: 4.5.0.2
 Homepage: https://github.com/kardianos/service
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
@@ -18,9 +17,9 @@
 
 Package: golang-github-kardianos-service-dev
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- golang-github-kardianos-osext-dev,
 Description: run Go programs as a service on major platforms
  Service will install / un-install, start / stop, and run a program as a
  service (daemon). Currently supports:

## golang-github-kardianos-service 1.2.1

=== debian/changelog ===
golang-github-kardianos-service (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version to 4.6.0.2
  * Update debian copyright to 2022

 -- Eric Dorland <eric@debian.org>  Mon, 17 Jan 2022 01:06:47 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
-Standards-Version: 4.5.0.2
+Standards-Version: 4.6.0.2
 Homepage: https://github.com/kardianos/service
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service.git

## golang-github-kardianos-service 1.2.2

=== debian/changelog ===
golang-github-kardianos-service (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version to 4.7.0

 -- Eric Dorland <eric@debian.org>  Sun, 05 Jan 2025 23:14:30 -0500

golang-github-kardianos-service (1.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Accept unix-systemv as platform name under sbuild with unshare.
    (Closes: #1070412)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 18:38:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
-Standards-Version: 4.6.0.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/kardianos/service
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service.git

## golang-github-kardianos-service 1.2.4

=== linux_test/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 
-all: sysv systemd upstart clean
+all: sysv systemd upstart openrc clean
 
+# compile `go test` binary statically
 test:
-	@go test -c ..
+	@CGO_ENABLED=0 go test -installsuffix netgo -a -c ..
 
 clean:
 	-rm service.test
@@ -33,3 +34,12 @@
 	@-docker rm $(shell docker ps -l -q)
 	@-docker rmi -f service.test.upstart
 	@-rm upstart/service.test
+
+openrc: test
+	@echo openrc
+	@cp service.test openrc/
+	@docker build -q --tag="service.test.openrc" openrc
+	@-docker run service.test.openrc
+	@-docker rm $(shell docker ps -l -q)
+	@-docker rmi -f service.test.openrc
+	@-rm openrc/service.test

=== debian/changelog ===
golang-github-kardianos-service (1.2.4-2) unstable; urgency=medium

  * Standards-Version to 4.7.2

 -- Eric Dorland <eric@debian.org>  Fri, 15 Aug 2025 13:01:40 -0400

golang-github-kardianos-service (1.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Eric Dorland <eric@debian.org>  Mon, 11 Aug 2025 13:56:26 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/kardianos/service
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-kardianos-service-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/kardianos/service/tags .*/v?(\d\S*)\.tar\.gz
